#-*- coding:utf-8 -*-

# WSGI サーバとして Django を動かす

import os
import sys

# 現在のディレクトリの親ディレクトリを Python のロードパスに追加
here = __file__
here = os.path.abspath(here)
here = os.path.dirname(here)

project = os.path.basename(here)

here = os.path.dirname(here)
sys.path.append(here)

env = os.environ

env['DJANGO_SETTINGS_MODULE'] = '%s.settings' % project

# Import the part of Django that we use here.
from django.core.handlers import wsgi
from wsgiref import simple_server

import settings


def main():

    # アプリケーションを作成
    application = wsgi.WSGIHandler()

    # WSGI サーバを作成
    srv = simple_server.make_server('', 8080, application)

    srv.serve_forever()


if __name__ == '__main__':
    main()
