#-*- coding:utf-8 -*-
from django.db import models
import datetime

# Create your models here.

class Entry(models.Model):

    name = models.CharField(max_length=100)
    title = models.CharField(max_length=100)
    body = models.TextField()
    date = models.DateTimeField('post date')

    

def addEntry(name, title, body):

    item = Entry(name=name,
                 title=title,
                 body=body,
                 date=datetime.datetime.now())

    item.save()


    
def getEntries():

    return Entry.objects.order_by('-date')
